package com.fdage.service;

import com.fdage.pojo.TbExhibition;
import com.fdage.pojo.TbExhibitionCollection;
import com.fdage.pojo.TbExhibitionType;
import com.fdage.request.RequestExhibition;
import com.fdage.respon.ResponExhibition;

import java.util.List;

/**
 * Created by Hb_zzZ on 2019/9/12.
 */
public interface IExhibitionService {

    int insertExhibitionCollection(TbExhibitionCollection bo);

    int deleteExhibitionCollection(Long exhibitionId);

    List<ResponExhibition> findExhibitionCollection(Long exhibitionId);

    int insert(TbExhibition exhibition);

    int update(TbExhibition exhibition);

    int delete(Long id);

    TbExhibition findById(Long id);

    List<ResponExhibition> findCollectionByExhibition(Long exhibitionId);

    List<ResponExhibition> findList(RequestExhibition bo);

    ResponExhibition getExhibitionByEquipmentId(Long id);

    ResponExhibition getExhibitionById(Long id);

    List<TbExhibitionType> typeList();

    int addOpenNum(Long id);

    Long exhibitionTotal();

    List<ResponExhibition> findListOrderBy();
}
